> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/api/runes/runes-top-gainers-and-losers.md).

# Runes Top Gainers & Losers

Returns Runes with the highest and lowest percentage price change over a specified timeframe.

## GET /v1/runes/stats/top-gainers-losers

> Get top gainers & losers by percentage price change for a specific time frame.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[{"name":"Ordinals"}],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/runes/stats/top-gainers-losers":{"get":{"tags":["Ordinals"],"description":"Get top gainers & losers by percentage price change for a specific time frame.","parameters":[{"schema":{"enum":["24h","trailing7d","trailing30d","1d","7d","30d"],"default":"24h","type":"string"},"in":"query","name":"timePeriod","required":false,"description":"* `24h` - trailing 24 hours' volume, ending at the start of the prior hour (default)\n* `trailing7d` - trailing 7 days' volume, ending at the start of the prior hour\n* `trailing30d` - trailing 30 days' volume, ending at the start of the prior hour\n* `1d` - prior day's volume, ending at midnight GMT\n* `7d` - prior seven days' volume, ending at midnight GMT\n* `30d` - prior 30 days' volume, ending at midnight GMT"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"topGainers":{"type":"array","items":{"type":"object","properties":{"runeId":{"type":"string"},"absPriceIncrease":{"type":"number"},"pctPriceIncrease":{"type":"number"},"currentPrice":{"type":"object","properties":{"valueInSats":{"type":"string"}}},"previousPrice":{"type":"object","properties":{"valueInSats":{"type":"string"}}}},"required":["runeId","absPriceIncrease","currentPrice","previousPrice"]}},"topLosers":{"type":"array","items":{"type":"object","properties":{"runeId":{"type":"string"},"absPriceIncrease":{"type":"number"},"pctPriceIncrease":{"type":"number"},"currentPrice":{"type":"object","properties":{"valueInSats":{"type":"string"}}},"previousPrice":{"type":"object","properties":{"valueInSats":{"type":"string"}}}},"required":["runeId","absPriceIncrease","currentPrice","previousPrice"]}}},"required":["topGainers","topLosers"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xverse.app/api/runes/runes-top-gainers-and-losers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
